Gets the FRISK, PAYCE, DBT, and Z-Score history for a business.
curl --request GET \
--url https://api.creditriskmonitor.com/v1/Business/CreditScoreHistory \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditriskmonitor.com/v1/Business/CreditScoreHistory"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditriskmonitor.com/v1/Business/CreditScoreHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Success": true,
"Data": [
{
"FRISKScore": 123,
"DBTScore": 123,
"ZScore": 123,
"PAYCEScore": 123,
"Year": 123,
"Month": 123,
"Quarter": 123
}
],
"ErrorCode": "<string>"
}Scores
Access Credit Score History
Monitors historical FRISK®, PAYCE®, DBT, and Z-Score metrics over time.
GET
/
v1
/
Business
/
CreditScoreHistory
Gets the FRISK, PAYCE, DBT, and Z-Score history for a business.
Use the Login endpoint to retrieve the
SessionKey, then include it in the Authorization field for authentication.Authorizations
Enter the Session Key with the Bearer prefix, e.g. "Bearer abcde12345".
Query Parameters
Business Id
Staring timeframe to return scores for
Ending timeframe to return scores for
If you are a Trade Provider you can use your CustomerId to idenfity a Business with the CustomerId parameter.
If you have a Supplier List you can use your SupplierId to identify a Business with the SupplierId parameter.
Was this page helpful?